Bug 216339 - pirut will not start when running compiz
pirut will not start when running compiz
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-19 10:25 EST by Andreas Sikkema
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 17:12:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Sikkema 2006-11-19 10:25:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.8) Gecko/20061107 Fedora/1.5.0.8-1.fc6 Firefox/1.5.0.8

Description of problem:
I'm running FC6 on my Dell Inspiron 5150. I wanted to try "Desktop Effects" so I enabled that. It needs either ATI or NVidia driver support, so I got the nvidia drivers from the livna repo. Now I have working desktop effects, but pirut will not start when started from the menu (as Add/Remove Software). From the command line:

[root@localhost ~]# pirut
Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified

Unable to import modules.  Maybe you're not running under X?

Other applications I've tried don't have this problem. I know running the NVidia X "drivers" is bad, but desktop effects is _so_ cool, I wanted to try it ;-)


Version-Release number of selected component (if applicable):
pirut-1.2.8-1.fc6

How reproducible:
Always


Steps to Reproduce:
1. Enable desktop effects
2. Click on Add/Remove Software
3. Notice nothing happening when 

Actual Results:
No pirut started

Expected Results:
Pirut running and ready for use

Additional info:
Comment 1 Andreas Sikkema 2006-11-22 15:37:02 EST
It seems that it is not just pirut that has problems, but every application that
requires root access and is "hidden" behind the root password dialogue
Comment 2 Andreas Sikkema 2006-11-24 06:24:11 EST
After the updates I installed on thursday/wednesday, the problem disappeared,

Note You need to log in before you can comment on or make changes to this bug.